## glite-lbjp-common-maildir 2.2.1

=== Makefile ===
# defaults
top_srcdir=..
builddir=build
stagedir=.
distdir=.
globalprefix=glite
lbutilsprefix=lbu
package=glite-lbjp-common-maildir
version=1.0.0
PREFIX=/opt/glite
prefix=

glite_location=/opt/glite
cppunit_prefix=/opt/cppunit
thrflavour=gcc32pthr
nothrflavour=gcc32

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

CC=gcc

VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/examples

DEBUG:=-g -O0 -W -Wall

CFLAGS:= ${CFLAGS} \
	${DEBUG} \
	-DVERSION=\"${version}\" \
	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
	-I${top_srcdir}/interface \
	${COVERAGE_FLAGS} \
	-D_GNU_SOURCE

LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} ${COVERAGE_FLAGS}

COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
INSTALL:=libtool --mode=install install

EXT_LIBS:=
OBJS:=maildir.o
HDRS:=maildir.h
LOBJS:=${OBJS:.o=.lo}

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: n/a
offset=0

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }

default all: compile doc

libglite_lbu_maildir.la: ${LOBJS}
	${LINK} ${version_info} -o $@ $< ${EXT_LIBS}

compile: libglite_lbu_maildir.la

check:
	-echo No checks here yet.

test_coverage:
	-mkdir coverage
	cd coverage && $(MAKE) -f ../Makefile top_srcdir=../../ COVERAGE_FLAGS="-fprofile-arcs -ftest-coverage" check
	cd coverage && for i in `echo ${OBJS} | tr ' ' '\012' | sort -u`; do gcov $$i ; done

examples:

#doc:
#	cp ${top_srcdir}/doc/*.dox .
#	echo "PROJECT_NUMBER = ${version}" >> C.dox
#	doxygen C.dox

stage: compile
	$(MAKE) install PREFIX=${stagedir} DOSTAGE=yes

install: all
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}
	${INSTALL} -m 755 "libglite_lbu_maildir.la" "${DESTDIR}${PREFIX}${prefix}/${libdir}/libglite_lbu_maildir.la"; \
	${INSTALL} -m 644 ${top_srcdir}/interface/${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${lbutilsprefix}

clean:
	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/

distclean:
	rm -rvf Makefile.inc *.spec debian/

%.o %.lo: %.c
	${COMPILE} -c $<

maildir.lo: maildir.c maildir.h

.PHONY: default all compile check examples doc stage dist distsrc distbin install clean distclean test_coverage

=== debian/changelog ===
glite-lbjp-common-maildir (2.2.1-4) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 01 May 2012 21:32:12 +0200

=== debian/control ===
Source: glite-lbjp-common-maildir
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libtool
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-lbu-maildir2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single-purpose implementation of maildir-like queue
 Single-purpose implementation of maildir-like queue. It is used to pass data
 from LB to
 JP.

Package: libglite-lbjp-common-maildir-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-maildir
Depends: libglite-lbu-maildir2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common maildir library
 This package contains development libraries and header files for gLite L&B/JP
 common maildir library.

Package: glite-lbjp-common-maildir-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-lbu-maildir2 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP common maildir library debugging symbols
 This package contains debugging symbols for gLite L&B/JP common maildir
 library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.maildir
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -rvf $(CURDIR)/debian/tmp/usr/share
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-maildir-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-maildir 2.3.1

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,8 @@
 thrflavour=gcc32pthr
 nothrflavour=gcc32
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
@@ -23,6 +25,8 @@
 CC=gcc
 
 VPATH=${top_srcdir}/interface:${top_srcdir}/src:${top_srcdir}/examples
+
+SOURCES=interface/*.h project/.post* src/*.c Makefile
 
 DEBUG:=-g -O0 -W -Wall
 
@@ -60,7 +64,7 @@
 version_info:=-version-info ${shell \
 	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }
 
-default all: compile doc
+all: compile doc
 
 libglite_lbu_maildir.la: ${LOBJS}
 	${LINK} ${version_info} -o $@ $< ${EXT_LIBS}
@@ -93,6 +97,7 @@
 
 clean:
 	rm -rvf *.o *.lo .libs lib* *.c *.h *.dox C/ CPP/
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -102,4 +107,4 @@
 
 maildir.lo: maildir.c maildir.h
 
-.PHONY: default all compile check examples doc stage dist distsrc distbin install clean distclean test_coverage
+.PHONY: default all compile check examples doc stage dist distsrc distbin install clean distclean test_coverage dist distcheck

=== debian/changelog ===
glite-lbjp-common-maildir (2.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:32 +0200

## glite-lbjp-common-maildir 2.3.6

=== debian/changelog ===
glite-lbjp-common-maildir (2.3.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: extra
 Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
 Uploaders: František Dvořák <valtri@civ.zcu.cz>
-Build-Depends: debhelper (>= 7.0.50~), chrpath, libtool
+Build-Depends: debhelper (>= 7.0.50~), libtool
 Standards-Version: 3.9.1
 Section: libs
 Homepage: http://glite.cern.ch

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,9 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+p_dbg=glite-lbjp-common-maildir-dbg
+p_dev=libglite-lbjp-common-maildir-dev
+p_lib=libglite-lbu-maildir2
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -27,7 +31,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,17 +40,19 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -rvf $(CURDIR)/debian/tmp/usr/share
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -rvf debian/tmp/usr/share
+	rm -vf debian/tmp/usr/lib/*.la
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -54,7 +60,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lbjp-common-maildir-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lbjp-common-maildir 2.3.8

=== Makefile ===
--- 
+++ 
@@ -100,7 +100,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.o %.lo: %.c
 	${COMPILE} -c $<

=== debian/changelog ===
glite-lbjp-common-maildir (2.3.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:06 +0200

## glite-lbjp-common-maildir 2.3.9

=== Makefile ===
--- 
+++ 
@@ -30,13 +30,13 @@
 
 DEBUG:=-g -O0 -W -Wall
 
-CFLAGS:= ${CFLAGS} \
+CFLAGS:= \
 	${DEBUG} \
 	-DVERSION=\"${version}\" \
 	-I${stagedir}${prefix}/include -I${top_srcdir}/src -I. \
 	-I${top_srcdir}/interface \
 	${COVERAGE_FLAGS} \
-	-D_GNU_SOURCE
+	-D_GNU_SOURCE ${CFLAGS}
 
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} ${COVERAGE_FLAGS}

=== debian/changelog ===
glite-lbjp-common-maildir (2.3.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:47 +0100

=== debian/control ===
--- 
+++ 
@@ -28,11 +28,11 @@
  This package contains development libraries and header files for gLite L&B/JP
  common maildir library.
 
-Package: glite-lbjp-common-maildir-dbg
+Package: libglite-lbu-maildir2-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-lbu-maildir2 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B/JP common maildir library debugging symbols
+Description: Debugging symbols for gLite L&B/JP common maildir library
  This package contains debugging symbols for gLite L&B/JP common maildir
  library.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
-p_dbg=glite-lbjp-common-maildir-dbg
+p_dbg=libglite-lbu-maildir2-dbg
 p_dev=libglite-lbjp-common-maildir-dev
 p_lib=libglite-lbu-maildir2

## glite-lbjp-common-maildir 2.3.11

=== Makefile ===
--- 
+++ 
@@ -41,7 +41,7 @@
 LDFLAGS:=${LDFLAGS} -L${stagedir}${prefix}/${libdir} ${COVERAGE_FLAGS}
 
 COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}
-LINK:=libtool --mode=link ${CC} -rpath ${stagedir}${prefix}/${libdir} ${LDFLAGS} 
+LINK:=libtool --mode=link ${CC} ${LDFLAGS}
 INSTALL:=libtool --mode=install install
 
 EXT_LIBS:=
@@ -67,7 +67,7 @@
 all: compile doc
 
 libglite_lbu_maildir.la: ${LOBJS}
-	${LINK} ${version_info} -o $@ $< ${EXT_LIBS}
+	${LINK} -rpath ${stagedir}${prefix}/${libdir} ${version_info} -o $@ $< ${EXT_LIBS}
 
 compile: libglite_lbu_maildir.la

=== debian/changelog ===
glite-lbjp-common-maildir (2.3.11-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:49 +0200

=== debian/control ===
Source: glite-lbjp-common-maildir
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libtool-bin
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-lbu-maildir2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Single-purpose implementation of maildir-like queue
 Single-purpose implementation of maildir-like queue. It is used to pass data
 from gLite Logging and Bookkeeping server to Job
 Provenance.

Package: libglite-lbjp-common-maildir-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-maildir
Depends: libglite-lbu-maildir2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP common maildir library
 Single-purpose implementation of maildir-like queue. It is used to pass data
 from gLite Logging and Bookkeeping server to Job
 Provenance.
 .
 This package contains development libraries and header files for gLite L&B/JP
 common maildir library.

Package: libglite-lbu-maildir2-dbg
Section: debug
Architecture: any
Depends: libglite-lbu-maildir2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP common maildir library
 Single-purpose implementation of maildir-like queue. It is used to pass data
 from gLite Logging and Bookkeeping server to Job
 Provenance.
 .
 This package contains debugging symbols for gLite L&B/JP common maildir
 library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-lbu-maildir2-dbg
p_dev=libglite-lbjp-common-maildir-dev
p_lib=libglite-lbu-maildir2

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.maildir/glite-lbjp-common-maildir-(.*)\.tar\.gz
